Subject: TextareaViewHelper is missing valid html5 argument placeholder ...
Description

TextareaViewHelper is missing valid html5 argument placeholder ...

Using

            <f:form.textfield id="powermail_field_{field.marker}" placeholder="{field.title -> vh:string.RawAndRemoveXss()}"
name="field[{field.uid}]" value="{vh:Misc.PrefillField(field: '{field}')}" class="powermail_field powermail_input
{vh:Misc.ValidationClass(field: '{field}')} {vh:Misc.ErrorClass(field: '{field}', class: 'powermail_field_error')}"
required="{field.mandatory}" />

with the attribute placeholder causes the exception http://typo3.org/go/exception/v4/1237823695 , what means, that the argument
placeholder is not allowed.

Related issues:
related to TYPO3.Fluid - Feature # 55723: Support of schema.org attributes Closed 2014-02-06
duplicates TYPO3.Fluid - Task # 37558: Form.Textfield ViewHelper's placeholde... Resolved 2012-05-29

History
#1 - 2013-05-12 23:02 - Helmut Hummel

Corresponding ticket in TYPO3 CMS tracker #45960

#2 - 2013-05-15 12:45 - Alexander Berl

You should use the additionalAttributes attribute for things like that.

 <f:form.textfield ... additionalAttributes="{ placeholder: field.title -> vh:string.RawAndRemoveXss() }" />

#3 - 2013-05-15 13:25 - Bastian Waidelich

Alexander Berl wrote:

You should use the additionalAttributes attribute for things like that.

Right, this is a work around. But I agree that we should make common HTML5 attributes available in the form View Helpers for convenience
#4 - 2013-05-27 21:29 - Philipp Maier
- % Done changed from 0 to 100

This is fixed. Just tested it today with current master.

#5 - 2013-06-05 12:06 - Adrian Föder

right Philipp, it's solved with I24bb73c5de5a494259171ff289d434892f85e16e on Jan 24; however I wonder why this issue is that "fresh", Helmut, is
your inquiry based on an older state?

#6 - 2013-06-05 12:06 - Adrian Föder
- Status changed from New to Resolved
